Enumerations

# station_widget.h File Reference

Types related to the station widgets. More...

Go to the source code of this file.

## Enumerations
enum | StationViewWidgets { WID_SV_CAPTION, WID_SV_SORT_ORDER, WID_SV_SORT_BY, WID_SV_GROUP, WID_SV_GROUP_BY, WID_SV_WAITING, WID_SV_SCROLLBAR, WID_SV_ACCEPT_RATING_LIST, WID_SV_LOCATION, WID_SV_ACCEPTS_RATINGS, WID_SV_RENAME, WID_SV_TRAINS, WID_SV_ROADVEHS, WID_SV_SHIPS, WID_SV_PLANES }
| Widgets of the StationViewWindow class. More...
enum | StationListWidgets { WID_STL_CAPTION, WID_STL_LIST, WID_STL_SCROLLBAR, WID_STL_TRAIN, WID_STL_TRUCK, WID_STL_BUS, WID_STL_AIRPLANE, WID_STL_SHIP, WID_STL_FACILALL, WID_STL_NOCARGOWAITING, WID_STL_CARGOALL, WID_STL_SORTBY, WID_STL_SORTDROPBTN, WID_STL_CARGOSTART }
| Widgets of the CompanyStationsWindow class. More...
enum | JoinStationWidgets { WID_JS_CAPTION, WID_JS_PANEL, WID_JS_SCROLLBAR }
| Widgets of the SelectStationWindow class. More...

## Detailed Description

Types related to the station widgets.

Definition in file station_widget.h.

## Enumeration Type Documentation

enum JoinStationWidgets

Widgets of the SelectStationWindow class.

Definition at line 59 of file station_widget.h.

enum StationListWidgets

Widgets of the CompanyStationsWindow class.

Enumerator:

  WID_STL_CAPTION | Caption of the window.
  WID_STL_LIST | The main panel, list of stations.
  WID_STL_SCROLLBAR | Scrollbar next to the main panel.
  WID_STL_TRAIN | 'TRAIN' button - list only facilities where is a railroad station.
  WID_STL_TRUCK | 'TRUCK' button - list only facilities where is a truck stop.
  WID_STL_BUS | 'BUS' button - list only facilities where is a bus stop.
  WID_STL_AIRPLANE | 'AIRPLANE' button - list only facilities where is an airport.
  WID_STL_SHIP | 'SHIP' button - list only facilities where is a dock.
  WID_STL_FACILALL | 'ALL' button - list all facilities.
  WID_STL_NOCARGOWAITING | 'NO' button - list stations where no cargo is waiting.
  WID_STL_CARGOALL | 'ALL' button - list all stations.
  WID_STL_SORTBY | 'Sort by' button - reverse sort direction.
  WID_STL_SORTDROPBTN | Dropdown button.
  WID_STL_CARGOSTART | Widget numbers used for list of cargo types (not present in _company_stations_widgets).

Definition at line 35 of file station_widget.h.

enum StationViewWidgets

Widgets of the StationViewWindow class.

Enumerator:

  WID_SV_CAPTION | Caption of the window.
  WID_SV_SORT_ORDER | 'Sort order' button
  WID_SV_SORT_BY | 'Sort by' button
  WID_SV_GROUP | label for "group by"
  WID_SV_GROUP_BY | 'Group by' button
  WID_SV_WAITING | List of waiting cargo.
  WID_SV_SCROLLBAR | Scrollbar.
  WID_SV_ACCEPT_RATING_LIST | List of accepted cargoes / rating of cargoes.
  WID_SV_LOCATION | 'Location' button.
  WID_SV_ACCEPTS_RATINGS | 'Accepts' / 'Ratings' button.
  WID_SV_RENAME | 'Rename' button.
  WID_SV_TRAINS | List of scheduled trains button.
  WID_SV_ROADVEHS | List of scheduled road vehs button.
  WID_SV_SHIPS | List of scheduled ships button.
  WID_SV_PLANES | List of scheduled planes button.

Definition at line 16 of file station_widget.h.